Subject: Updated Windows header files.
From: [email-masked] (Dylan Griffiths)

21 Jun 1998 20:47:05 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Gnu Win32 Mailing list" <[email-masked]>

The windows header files included with B19 don't define everything.   I'm
going to be making a few changes to have them match up with my Win32 API
reference I have handy..  The first change has to do with the MINMAXINFO
structure (i386-cygwin32\include\Windows32\Structures.h):

typedef struct tagMINMAXINFO {
  POINT ptReserved;
  POINT ptMaxSize;
  POINT ptMaxPosition;
  POINT ptMinTrackSize;
  POINT ptMaxTrackSize;
} MINMAXINFO, *LPMINMAXINFO;

This adds the LPMINMAXINFO to the define, which is used to make my Win32
program not size smaller than some min values I have defined.

In case you're wondering, the code is as follows  (in the window procedure):
    case WM_GETMINMAXINFO:
    {
       ((LPMINMAXINFO) lParam)->ptMinTrackSize.x = iWidth;
       ((LPMINMAXINFO) lParam)->ptMinTrackSize.y = iHeight;
       return(1);
    }

It is important to return 1 since we do not process the message, but merely
hook it and make sure that the values are good for the min x and min y pixel
size.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".